Skip to navigation

Republish historical envelopes

View as Markdown

This endpoint submits a batch of existing envelopes to a webhook of your choice. Set the webhook address with the urlToPublishTo request body parameter.

You can publish up to a maximum of 9999 envelopes per hour.

This endpoint does not call an existing Connect configuration or create a new Connect listener to monitor new activity. It simply uses an ad hoc configuration to submit existing envelopes. You must include all the configuration data in the request body.

The envelope data will always be transmitted in JSON format. XML, Salesforce, and eOriginal configuration types are not supported.

Your request should match the following format:

{
"envelopes": ["4280f274-xxxx-xxxx-xxxx-b218b7eeda08", "8373a938-xxxx-xxxx-xxxx-e992a2abae01"],
"config": {
"configurationType":"custom",
"name": "Test",
"urlToPublishTo":"YOUR-WEBHOOK-URL",
"allowEnvelopePublish": "true",
"enableLog": "true",
"requiresAcknowledgement": "true",
"IncludeHMAC": "true",
"SignMessageWithX509Cert": "true",
"deliveryMode": "SIM",
"eventData": {
"version": "restv2.1",
"format": "json",
"includedata": ["tabs","payment_tabs","custom_fields","powerform","recipients","folders","extensions","attachments", "prefill_tabs", "documents"]
}
}
}

If the request succeeds, it returns a 201 (Created) HTTP response code and the response body property processingStatus will be set to processing. You can then view the status of each historical republish request in the Bulk Actions Log.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Request

This endpoint expects an object: connectHistoricalEnvelopeRepublish

configobjectOptional

The connectCustomConfiguration object describes a Connect configuration for your account.

envelopeslist of stringsOptional

An array of envelope IDs as comma-separated strings. This property is required.

For example: ["4280f274-xxxx-xxxx-xxxx-b218b7eeda08","9586h293-xxxx-xxxx-xxxx-m923b8opre71","2347w948-xxxx-xxxx-xxxx-t096b8krno89"]

Response

Successful response.
applyConnectSettingsstringOptional
envelopeCountstringOptional
envelopeLevelErrorRollupslist of objectsOptional
envelopePublishTransactionIdstringOptional
The ID of the publish transaction.
errorCountstringOptional
fileLevelErrorslist of stringsOptional
noActionRequiredEnvelopeCountstringOptional
processedEnvelopeCountstringOptional
processingStatusstringOptional

The status of the transaction. Valid values:

  • unprocessed
  • processing
  • complete
  • fatal_error
resultsUristringOptional
submissionDatestringOptional
submittedByUserInfoobjectOptional
submittedForPublishingEnvelopeCountstringOptional

Errors

400
Bad Request Error